Package ru.bitel.bgbilling.modules.voice.server.bean.operator.sovintel

# Class SovintelAbonentData

java.lang.Object
ru.bitel.bgbilling.modules.voice.server.bean.operator.sovintel.SovintelAbonentData

    public class SovintelAbonentData
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `int` | `contractId` |
  `java.lang.String` | `contractTitle` |
  `java.lang.String` | `contractType` |
  `java.lang.String` | `countryCode` |
  `java.util.Date` | `date1` |
  `java.util.Date` | `date2` |
  `boolean` | `diplomat` |
  `java.lang.String` | `fullName` |
  `boolean` | `info` |
  `java.lang.String` | `inn` |
  `java.lang.String` | `jurAddress` |
  `java.lang.String` | `jurStatus` |
  `java.lang.String` | `kpp` |
  `java.lang.String` | `locationCode` |
  `boolean` | `notResident` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SovintelAbonentData()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.util.List<SovintelAbonentData>` | `extractData​(java.sql.Connection con, Operator oper, java.util.Date month, java.util.Set<java.lang.Integer> changedCodes)` |
  `static java.util.List<SovintelAbonentData>` | `extractData2​(java.sql.Connection con, Operator oper, java.util.Date month, java.util.Set<java.lang.Integer> changedCodes)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### contractId

    public int contractId

  - ### contractTitle

    public java.lang.String contractTitle

  - ### fullName

    public java.lang.String fullName

  - ### jurStatus

    public java.lang.String jurStatus

  - ### date1

    public java.util.Date date1

  - ### date2

    public java.util.Date date2

  - ### jurAddress

    public java.lang.String jurAddress

  - ### inn

    public java.lang.String inn

  - ### kpp

    public java.lang.String kpp

  - ### countryCode

    public java.lang.String countryCode

  - ### contractType

    public java.lang.String contractType

  - ### locationCode

    public java.lang.String locationCode

  - ### info

    public boolean info

  - ### notResident

    public boolean notResident

  - ### diplomat

    public boolean diplomat

- ## Constructor Details

  - ### SovintelAbonentData

    public SovintelAbonentData()

- ## Method Details

  - ### extractData

    public static java.util.List<SovintelAbonentData> extractData​(java.sql.Connection con, Operator oper, java.util.Date month, java.util.Set<java.lang.Integer> changedCodes)

  - ### extractData2

    public static java.util.List<SovintelAbonentData> extractData2​(java.sql.Connection con, Operator oper, java.util.Date month, java.util.Set<java.lang.Integer> changedCodes)